import { Initializer, InitializerParams } from '../../viewer';
import { StorageService } from './storage-service';
export declare class StorageInitializer extends Initializer {
    private _storageService?;
    get storageService(): StorageService | undefined;
    apply({ pdfDocument, viewer, options }: InitializerParams): {
        scroll?: import('../..').ScrollMode | undefined;
        spread?: import('../..').SpreadMode | undefined;
        rotation?: number | undefined;
        page?: number | undefined;
        scale?: number | string | undefined;
        scrollTop?: number | undefined;
        scrollLeft?: number | undefined;
        sidebar?: import('../..').SidebarType | undefined;
        sidebaropened?: boolean | undefined;
    };
}
